--
--
--

function node_intro_ctor (self)
end

node_intro = class (node_intro_ctor)

function node_intro:action (Action)

   local T

   if (not Action) then

      T = "She broke it completely.//"
         .. "Right now, you don't understand, you don't want to understand.//"
         .. "You've been in bed four days straight, and things are spinning.//"
         .. "The face in the mirror looks old. Who is that?//"
         .. "**//"
         .. "Your apartment is like the hollow inside of a skull where demons live.//"
         .. "Right now, you want to get away. You want to drive into the desert."

   elseif ("leave" == Action) then

      local InitRoadstream = roadstream ()
      InitRoadstream:init (1, 1, RN_get_seed ())
      cur_adventure:leave (InitRoadstream)
      T = "Driving helps take the edge off things."

   end

   return T
end

function node_intro:menu ()

   local T = "The clock is telling you it's 4:00 AM. It flashes.//"
      .. "You take a deep breath."

   local M = {

      { "leave", "Leave, and never come back" }
   }

   return T, M
end
